Package org.eclipse.emf.cdo.eresource.impl

# Interface CDOResourceFactoryImpl.ResourceSetClassNameProvider

Enclosing class:
  `CDOResourceFactoryImpl`

public static interface CDOResourceFactoryImpl.ResourceSetClassNameProvider
Provides additional class names of `resource set` implementations to customize the stack inspection in `CDOResourceFactoryImpl.isGetResource()`.

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDOResourceFactoryImpl.ResourceSetClassNameProvider.Factory`
`Creates` instances of `CDOResourceFactoryImpl.ResourceSetClassNameProvider`.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getResourceSetClassNames()`

## Method Details

### getResourceSetClassNames

String[] getResourceSetClassNames()